Package org.apache.sling.feature.extension.unpack.impl.installer

## Class UnpackArchiveExtensionHandler

- java.lang.Object
- - org.apache.sling.feature.extension.unpack.impl.installer.UnpackArchiveExtensionHandler

All Implemented Interfaces:
  `org.apache.sling.feature.spi.context.ExtensionHandler`

    public class UnpackArchiveExtensionHandler
    extends Object
    implements org.apache.sling.feature.spi.context.ExtensionHandler

### Constructor Summary

Constructors
`UnpackArchiveExtensionHandler​(org.osgi.framework.BundleContext bc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `handle​(org.apache.sling.feature.spi.context.ExtensionHandlerContext context, org.apache.sling.feature.Extension extension, org.apache.sling.feature.Feature feature)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnpackArchiveExtensionHandler

    public UnpackArchiveExtensionHandler​(org.osgi.framework.BundleContext bc)

### Method Detail

#### handle

    public boolean handle​(org.apache.sling.feature.spi.context.ExtensionHandlerContext context,
                          org.apache.sling.feature.Extension extension,
                          org.apache.sling.feature.Feature feature)
                   throws Exception

Specified by:
  `handle` in interface `org.apache.sling.feature.spi.context.ExtensionHandler`
Throws:
  `Exception`